"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _funcs = require("../utils/funcs");

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

var CalendarRowItem = function CalendarRowItem(props) {
  var isToday = props.initDate.getDate() === new Date(props.dateStamp).getDate() && props.initDate.getMonth() === new Date(props.dateStamp).getMonth();
  var itemIndex = props.rowIndex * 7 + props.index;
  return React.createElement("div", {
    className: "awesome-react-datepicker-_CalendarRowItem",
    style: {
      width: 'calc(100% / 7)'
    }
  }, React.createElement("div", {
    className: "awesome-react-datepicker-_CalendarRowItem_div_001",
    style: {
      display: 'flex',
      alignItems: 'center',
      justifyContent: 'center',
      height: '100%'
    },
    onClick: function onClick() {
      props.onDateSelect(props.dateStamp);
    }
  }, React.createElement("div", {
    id: "awesome-react-datepicker-_CalendarRowItem_p_002-id-".concat(itemIndex),
    className: "awesome-react-datepicker-_CalendarRowItem_p_002",
    style: {
      color: isToday ? 'white' : props.customStyles.textColor ? props.customStyles.textColor : '#606060',
      background: isToday ? props.customStyles.themeColor ? props.customStyles.themeColor : '#f03434' : props.customStyles.backgroundColor ? props.customStyles.backgroundColor : 'white'
    }
  }, (0, _funcs.padNumber)(props.date))));
};

var _default = CalendarRowItem;
exports.default = _default;